Bug 6431 - (int-131023) Alarm setting for Birthday is removed after adding photo to contact
(int-131023)
: Alarm setting for Birthday is removed after adding photo to contact
Status: RESOLVED FIXED
Product: Calendar
General
: 5.0/(2.2009.51-1)
: N900 Maemo
: Low normal with 2 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: calendar-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-29 22:59 UTC by ZeeD
Modified: 2010-03-15 20:51 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description ZeeD (reporter) 2009-11-29 22:59:56 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
1. Add new contact without image.
2. Add Birthday and set the Alarm to "day before".
3. Save contact info.
4. Open this contact -> Edit -> change image (local or uploaded)
5. Save.
6. Open contact info and check Birthday Alarm settigns. It is changed to "Alarm
None"

EXPECTED OUTCOME:
Birthday Alarm settigns have to be unchangable while adding photo for a
contact.


REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
None
Comment 1 Jörgen Scheibengruber nokia 2009-11-30 13:35:49 UTC
This is really a bug in the Calendar app.
Comment 2 Andre Klapper maemo.org 2009-11-30 17:12:04 UTC
I cannot reproduce this in the internal version 2.2009.48-1.

* I did only add a contact by setting Name and Familyname, nothing else.
  Same for you, or did you also a phone number or an email address?
* With "day before", do you also refer to the year 2009?
  Because I tried with setting it to 29/11/1984 and it did not work.
Comment 3 ZeeD (reporter) 2009-11-30 17:31:41 UTC
I double checked this behaviour 5 minutes ago.
Action flow:
1. New contacts app -> insert Name -> enter -> Last Name -> Add Field ->
Birthday -> Set date to 30/11/1984 -> Save -> tap on Birthay -> tap on Event ->
Edit Event -> Set Alarm from NONE to "day before" -> Save -> tap Back -> Close
calendar.
2. Open this contact -> tap on Birthday field -> check alarm settings -> ensure
that they are here -> tap Back -> Close calendar.
3. Open this contact -> Tap image icon -> Tap image icon again -> Select first
Smile -> Save -> tap on Birthday field -> you can see that there is no alarm
settings.
Comment 4 Andre Klapper maemo.org 2009-12-01 18:24:08 UTC
(In reply to comment #3)
> I double checked this behaviour 5 minutes ago.
> Action flow:
> 1. New contacts app -> insert Name -> enter -> Last Name -> Add Field ->
> Birthday -> Set date to 30/11/1984 -> Done -> tap on Birthay -> tap on Event 

After tapping on Birthday I get the same Date chooser dialog again and no "tap
on event".
Comment 5 ZeeD (reporter) 2009-12-01 19:35:08 UTC
>> 1. New contacts app -> insert Name -> enter -> Last Name -> Add Field ->
>> Birthday -> Set date to 30/11/1984 -> Done -> tap on Birthay -> tap on Event 

> After tapping on Birthday I get the same Date chooser dialog again and no "tap
> on event".

Sorry, there must be:
1. New contacts app -> insert Name -> enter -> Last Name -> Add Field ->
Birthday -> Set date to 30/11/1984 -> Done -> Save -> Click on this contact ->
tap on Birthay -> tap on Event Edit Event -> Set Alarm from NONE to "day
before" -> Save -> tap Back -> Closecalendar.

etc.
Comment 6 Andre Klapper maemo.org 2009-12-04 21:38:39 UTC
Thanks a lot! I am able to reproduce this now.
Moving to Contacts for the time being as I assume that Contacts is triggering
the rewrite of the Contact Card.
Comment 7 Jörgen Scheibengruber nokia 2009-12-04 21:45:47 UTC
But it really *is* a bug in the Calendar, trust me ;-)
Comment 8 ZeeD (reporter) 2009-12-04 21:57:15 UTC
Jörgen is right this is a bug!:)

You can change another contact info not just add image and you will see that
Birhtday alarm will be removed and set to NONE.
Comment 9 Andre Klapper maemo.org 2009-12-04 22:11:50 UTC
(In reply to comment #8)
> Jörgen is right this is a bug!:)
> 
> You can change another contact info not just add image and you will see that
> Birhtday alarm will be removed and set to NONE.

No need to repeat stuff that was already written. :-)
Jörgen stressed that it is about the Calendar and not the addressbook.
Comment 10 ZeeD (reporter) 2009-12-04 22:38:17 UTC
Hmmm.
I said nothing about addressbook.

I wanted to say that this behaviour, alarm setting for Birthday removal, still
exist when you change other contact info not only image. For exapmle,
add/delete fields, change phone number, etc.

Just for your information:)
Comment 11 Andre Klapper maemo.org 2010-02-09 20:07:56 UTC
This has been fixed in package
calendar 0.6-14+0m5
which is part of the internal build version
10.2010.05-13
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 12 ZeeD (reporter) 2010-02-17 20:38:01 UTC
3.2010.02-8
The bug still exists.
Comment 13 Andre Klapper maemo.org 2010-03-15 20:51:20 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).